Page MenuHomePhabricator

[libc++] [NFC] Audit LWG issues for "Nothing To Do" and "Complete"
ClosedPublic

Authored by Quuxplusone on Jan 22 2022, 11:16 AM.

Details

Summary

Each "Nothing To Do" issue only changed nits in the English wording, not anything to do with the code.

Each "Complete" issue was completed already, as far as I can tell.

I tried to err on the side of caution: I didn't mark a few issues whose P/Rs were very invasive and would take time to verify, and I didn't mark a lot of issues involving features we haven't even started yet.

Diff Detail

Event Timeline

Quuxplusone requested review of this revision.Jan 22 2022, 11:16 AM
Quuxplusone created this revision.
Herald added 1 blocking reviewer(s): Restricted Project. · View Herald TranscriptJan 22 2022, 11:16 AM
libcxx/include/__ranges/transform_view.h
23

Discovered this was unused while verifying LWG3520.

Also mark https://cplusplus.github.io/LWG/issue3467 ; I had deferred that one out of caution, but now I'm convinced we do fully implement that. (In particular, bool size() const is not selected by ranges::size.)

philnik accepted this revision as: philnik.Jan 30 2022, 11:19 AM
philnik added a subscriber: philnik.

There are a few places where I would say it should be Complete instead of Nothing to do, but they are definitely debatable, so LGTM.

jloser accepted this revision.Jan 30 2022, 3:56 PM
ldionne accepted this revision.Jan 31 2022, 8:56 AM

Awesome, thanks!

This revision is now accepted and ready to land.Jan 31 2022, 8:56 AM